Unit tia20r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, IA20R_p;

function tia20r: String;

implementation

function tia20r: String;
var
N,NG,LU,ISP,J,_i,KN :Integer;
E,SF,Y,S,FU :Real;
F :Array [0..10] of Real;
B :Array [0..99] of Real;
const
V1 :Array [0..10] of Real = ( 0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0 );
V2 :Array [0..10] of Real = ( 1.1,1.1,1.1,1.1,1.1,1.1,1.1,1.1,1.1,1.1,0.0 );
MU :Array [0..10] of Integer = ( 1,1,1,1,1,-1,-1,-1,-1,0,0 );
H :Array [0..10] of Real = ( 0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.1,0.0 );
P :Array [0..10] of Real = ( 1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0 );
R :Array [0..11] of Real = ( 0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0 );
U :Array [0..10] of Real = ( 0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0 );
label
_1;
begin
Result := '';  {   }
N := 11;
NG := 3;
LU := 1;
E := 1.E-5;
ISP := 20;
U[0] := -11.0/24.0;
SF := 0.025;
Y := -0.5;
for J:=1 to N do
 begin
  S := SF*(2.0*Sin(123.456*J+789.0));
  F[J-1] := Y-(IntPower(Y,3))/3.0+S;
_1:
  Y := Y+H[J-1];
 end;
IA20R(N,F,NG,V1,V2,MU,H,P,R,E,ISP,LU,U,FU,KN,B);
Result := Result + Format('%s',['   YHKOHA=']);
Result := Result + Format('%20.16f ',[FU]) + #$0D#$0A;
Result := Result + Format('%s',['   PEEHE U=' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 10 do
 begin
  Result := Result + Format('%20.16f ',[U[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tia20r',Result);  {     tia20r.res }
exit;
end;

end.
